%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_5a_primal
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_5a_primal.zip'
%Run program 'problem_5a_primal.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_5a_primal_data.mat')
%Define input arguments:
risk1='cvar_risk';
risk2={0.82609,'max_comp_abs',0.17391,'polynom_abs'};
H2={H21,H21};

%Solve optimization problems:
[xout, fval, status, output] = riskconstrprog(risk1, risk2, 0.42, H1, [], [], [], H2, [], [], [], r);

%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display functions:
disp(sprintf('cvar_risk  = %g', output.frval1));
disp(sprintf('max_comp_abs = %g', output.frval2(1)));
disp(sprintf('polynom_abs = %g', output.frval2(2)));
%Display optimal point:
disp('optimal point = ');
disp(xout);
